<?
class permissionlib{


function permissionlib()
        {
                $this->obj2 =& get_instance();
        }






function get_permission_admin($user_id)
{

	$query = $this->obj2->db->getwhere('login_info', array('user_id'=>$user_id));

	if ($query->num_rows() > 0)
	 {
	 $row = $query->row();

	 return $row->user_type;
	 }
	 else
	 return 0;

}




function adminArea($user_id)
{

	$query = $this->obj2->db->getwhere('login_info', array('user_id'=>$user_id));

	if ($query->num_rows() > 0)
	 {
	 $row = $query->row();

	 return $row->admin;
	 }
	 else
	 return 0;

}


function clientArea($user_id)
{

	$query = $this->obj2->db->getwhere('login_info', array('user_id'=>$user_id));

	if ($query->num_rows() > 0)
	 {
	 $row = $query->row();

	 return $row->client;
	 }
	 else
	 return 0;

}



function cardArea($user_id)
{

	$query = $this->obj2->db->getwhere('login_info', array('user_id'=>$user_id));

	if ($query->num_rows() > 0)
	 {
	 $row = $query->row();

	 return $row->card;
	 }
	 else
	 return 0;

}





function lotArea($user_id)
{

	$query = $this->obj2->db->getwhere('login_info', array('user_id'=>$user_id));

	if ($query->num_rows() > 0)
	 {
	 $row = $query->row();

	 return $row->lot;
	 }
	 else
	 return 0;

}




function assignLotArea($user_id)
{

	$query = $this->obj2->db->getwhere('login_info', array('user_id'=>$user_id));

	if ($query->num_rows() > 0)
	 {
	 $row = $query->row();

	 return $row->assign_lot;
	 }
	 else
	 return 0;

}





function saleArea($user_id)
{

	$query = $this->obj2->db->getwhere('login_info', array('user_id'=>$user_id));

	if ($query->num_rows() > 0)
	 {
	 $row = $query->row();

	 return $row->sale;
	 }
	 else
	 return 0;

}




function paymentArea($user_id)
{

	$query = $this->obj2->db->getwhere('login_info', array('user_id'=>$user_id));

	if ($query->num_rows() > 0)
	 {
	 $row = $query->row();

	 return $row->payment;
	 }
	 else
	 return 0;

}






function dataprocessArea($user_id)
{

	$query = $this->obj2->db->getwhere('login_info', array('user_id'=>$user_id));

	if ($query->num_rows() > 0)
	 {
	 $row = $query->row();

	 return $row->dataprocess;
	 }
	 else
	 return 0;

}




function pin_processArea($user_id)
{

	$query = $this->obj2->db->getwhere('login_info', array('user_id'=>$user_id));

	if ($query->num_rows() > 0)
	 {
	 $row = $query->row();

	 return $row->pin_process;
	 }
	 else
	 return 0;

}


/*
function assign_lotArea($user_id)
{

	$query = $this->obj2->db->getwhere('login_info', array('user_id'=>$user_id));

	if ($query->num_rows() > 0)
	 {
	 $row = $query->row();

	 return $row->assign_lot;
	 }
	 else
	 return 0;

}
*/




function assign_lotArea($user_id)
{

	$query = $this->obj2->db->getwhere('login_info', array('user_id'=>$user_id));

	if ($query->num_rows() > 0)
	 {
	 $row = $query->row();

	 return $row->assign_lot;
	 }
	 else
	 return 0;

}






}


?>